import segdata
from file_list import l
from file_list import l_obsolete
import matplotlib.pyplot as plt
import os.path

l.append(l_obsolete[-1])
for i in [0,2,3]:
    d=segdata.Data(l[i])
    d.sanitize()
    fig,ax=plt.subplots(figsize=(4,4))
    p=segdata.Plot(d)
    p.plot_cyto(ax,d)
    p.plot_partial_ccttion(ax,d)
    plt.legend()
    p.add_regulation(ax, d)
    if '170321' in l[i]:
        ax.set_ylim([0,5e6])
    # png because time scatter is bad in pdf
    ax.set_xlim((0,15))

    # plt.show()
    plt.savefig("figures/"+os.path.basename(l[i])+'_init_growth.pdf', bbox_inches='tight')
