import segdata
from file_list import l
from file_list import l_obsolete
import matplotlib.pyplot as plt
import os.path

l.append(l_obsolete[-1])
for name in [l[-2]]:
    d=segdata.Data(name)
    d.sanitize()

    fig, ax=plt.subplots(figsize=(8,4))
    p=segdata.Plot(d)
    p.time_scatter(ax,d)
    ax.hlines(1000,0,100, color='k',linewidth=1)
    ax.set_xlim((-5,50))
    p.add_regulation(ax,d)
    # plt.show()
    # png because time scatter is bad in pdf
    plt.savefig('figures/low_freq.png', bbox_inches='tight', dpi = (200))
