import segdata
from file_list import l
from file_list import l_obsolete
import matplotlib.pyplot as plt
import os.path

# segregostat: l[0]
# chemostat: l[2]

dat=[segdata.Data(l[0]), segdata.Data(l[2])]
for d in dat:
    d.sanitize()

# proof initial delay
for i,d in enumerate(dat):
    fig, ax=plt.subplots(figsize=(4,4))
    p=segdata.Plot(d)
    p.time_scatter(ax,d)
    ax.set_xlim((0,7))
    ax.hlines(1000,-0.5,7.5, color='k',linewidth=0.8)
    p.add_regulation(ax,d)
    plt.savefig('figures/proof_delay_init_'+str(i)+'_brut.pdf', bbox_inches='tight')

    fig, ax=plt.subplots(figsize=(4,4))
    p=segdata.Plot(d)
    p.plot_count(ax,d)

    ax.set_xlim((0,7))
    p.add_regulation(ax,d)

    plt.savefig('figures/proof_delay_init_'+str(i)+'_count.pdf', bbox_inches='tight')


plt.close('all')

# proof delay in segregostat
d=dat[0]
i=0
fig, ax=plt.subplots(figsize=(4,4))
p=segdata.Plot(d)
p.plot_count(ax,d)
ax.set_xlim((29,35))
ax.set_ylim((85,100))
p.add_regulation(ax,d)
plt.savefig('figures/proof_delay_seg_'+str(i)+'_brut.pdf', bbox_inches='tight')
# plt.show()

i=1
fig, ax=plt.subplots(figsize=(4,4))
p=segdata.Plot(d)
p.plot_cyto(ax, d)
p.plot_partial_ccttion(ax,d)
ax.set_xlim((29,35))
ax.set_ylim((0,1.5e6))
p.add_regulation(ax,d)
# plt.show()
plt.savefig('figures/proof_delay_seg_'+str(i)+'_brut.pdf', bbox_inches='tight')

plt.close('all')

i=0
d=dat[0]
fig, ax=plt.subplots(figsize=(4,4))
p=segdata.Plot(d)
p.time_scatter(ax,d)
ax.set_xlim((29,35))
ax.hlines(1000,28,36, color='k', linewidth=0.8)
p.add_regulation(ax,d)
plt.savefig('figures/proof_switching_seg_'+str(i)+'_brut.pdf', bbox_inches='tight')
