import segdata
from file_list import l
from file_list import l_obsolete
import matplotlib.pyplot as plt
import os.path
import numpy as np


seg_d =[l[0], l[1], l[3]]
chem_d=[l[2], l[4], l_obsolete[-1]]

for i, n in enumerate(seg_d):
    print('seg')
    print(i+1)
    print(os.path.basename(n))

    d=segdata.Data(n)
    d.sanitize()

    if i==2:
        print('truncate combined experiment for '+ os.path.basename(n))
        # truncate the last experiment because it becomes chemostat
        d.truncate(55)

    index=np.searchsorted(d.flow[:,0], 20)
    count=0
    mean=0
    while index<d.flow.shape[0]:
        mean +=d.flow[index,5].count_proportion()
        count+=1
        index+=1
    print('final time (double check):')
    print(d.flow[index-1,0])
    mean/=count
    print('mean: '+str(mean))


for i, n in enumerate(chem_d):
    print('chem')
    print(i+1)
    print(os.path.basename(n))

    d=segdata.Data(n)
    d.sanitize()

    if i==1:
        print('truncate combined experiment for '+ os.path.basename(n))
        # truncate the last experiment because it becomes chemostat
        d.truncate(49)

    index=np.searchsorted(d.flow[:,0], 20)
    count=0
    mean=0
    while index<d.flow.shape[0]:
        mean +=d.flow[index,5].count_proportion()
        count+=1
        index+=1
    print('final time (double check):')
    print(d.flow[index-1,0])
    mean/=count
    print('mean: '+str(mean))
